%define pkg_name        WWW-Wikipedia
%define pkg_version     1.92
%define rpm_pkg_version 1.92
%define rpm_pkg_release 1.n0i.3

Summary:       Automated interface to the Wikipedia
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/B/BR/BRICAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(CGI)
BuildRequires: perl(Text::Autoformat)


%description
WWW::Wikipedia provides an automated interface to Wikipedia.
It allows to search for a topic and return the resulting entry.
It also gives access to related topics which are also available
via the Wikipedia for that entry.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Fri Aug 24 2007 Marius Feraru <altblue@n0i.net> - 1.92-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- version 1.92

* Mon Apr 24 2006 Marius Feraru <altblue@n0i.net> - 1.9-1.n0i.2
- version 1.9

* Fri Sep 02 2005 Marius Feraru <altblue@n0i.net> 1.8-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.10
- rebuild on perl 5.8.7
